#update-manager-container {
  display: none;
  position: relative;
}

#update-manager-container.displayed {
  display: block;
}

#update-manager-container progress {
  display: none;
  position: absolute;
  width: 100%;
  height: 0.4rem;
  left: 0;
  bottom: 0;
  border: none;
}

#update-manager-container progress::-moz-progress-bar {
  background: url(../shared/progress.gif) repeat-x;
}

#update-manager-container.downloading progress {
  display: block;
}

#update-manager-container > .title-container {
  margin-top: 1.4rem;
  margin-bottom: 0;
  -moz-margin-start: 3.7rem;
  -moz-margin-end: 0;
}

#update-manager-container > .title-container > span {
  display: block;
  color: #858585;
  font-size: 1.4rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/* Toaster */
#update-manager-toaster > .icon {
  float: left;
  display: block;
  width: 2.4rem;
  height: 2.4rem;
  margin: 1.3rem;
  background-image: url(images/iconindicator_download_24x24.png);
  background-size: 2.4rem;
}

#update-manager-toaster > .message {
  position: absolute;
  left: 5rem;
  top: 1rem;
  width: calc(100% - 5.5rem);
  color: #52b8cc;
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 2.8rem;
}

#update-manager-toaster > .message > span {
  display: none;
}

#update-manager-toaster {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 5rem;
  overflow: hidden;
  background-image: url(images/grey-noise-bg.png);
  background-repeat: repeat-x;
  background-size: auto 100%;
  -moz-box-sizing: border-box;
  border-bottom: 0.1rem #2c2c2c solid;
  transform: translateY(-5rem);
  visibility: hidden;
  transition: transform .3s ease-in-out, visibility .3s;
}

#update-manager-toaster.displayed {
  transform: translateY(0);
  visibility: visible;
}

#updates-viaDataConnection-dialog,
#updates-download-dialog {
  /* Increasing padding size form 1.5 to 3.5rem for confirm dialogs with statusbar active */
  padding-top: 30px;
  display: none;
  height:100%;
  background-color: rgb(51,51,51);
}

#screen.software-button-enabled #updates-viaDataConnection-dialog,
#screen.software-button-enabled #updates-download-dialog {
  bottom: var(--software-home-button-height);
}

@media (orientation: landscape) {
  #screen.software-button-enabled #updates-viaDataConnection-dialog,
  #screen.software-button-enabled #updates-download-dialog {
    bottom: 0;
    right: var(--software-home-button-height);
  }
}

#updates-viaDataConnection-dialog.visible,
#updates-download-dialog.visible {
  display: inline-block;
  pointer-events: auto;
}

#updates-download-dialog h1{
  color: #fff;
  background-color: rgb(77,77,77);
}

#updates-download-dialog h2{
  word-wrap: break-word;
  width:calc(100% - 20px);
  color: rgb(199, 199, 199);
  font-size: 20px;
  margin: 0 10px;
  padding: 9px 0;
  font-weight: 400;  /* Regular */
  border-bottom: 0.2rem solid rgb(199, 199, 199);
}

#updates-download-dialog ul {
  list-style: none;
  overflow-y: scroll;
  height:350px;
  padding: 0 0;
  border-top: none;
}

#updates-download-dialog li {
  height: 60px;
  width:100%;
}

#updates-download-dialog li:first-child {
  margin-top: 0;
}

#updates-download-dialog li:last-child {
  padding-bottom: 9px;
}

#updates-download-dialog div {
  display: block;
  padding: 1px 0;
  font-weight:380 ;  /* medium */
  color: rgb(199, 199, 199);
  font-size: 18px;
}

#updates-download-dialog div.item-container  {
  height:60px;
  width: calc(100% - 20px);
  margin: 0 10px;
  padding: 9px 0;
  border-top: solid 0.1rem rgb(89, 89, 89);
}

#updates-download-dialog li .name {
  font-weight: 400;  /* Regular */
  color: white;
  font-size: 20px;
}

#updates-download-dialog label {
  float: right;
}

#updates-download-dialog label.required {
  width: 10rem;
  right: 0.5rem;
  text-align: right;
  text-transform: uppercase;
  height: 3rem;
  line-height: 3.4rem;
}

#updates-download-dialog label.pack-checkbox  {
  background:url(images/Non-Highlight_Non-Selected_Icon.png);
  height:26px;
  width:26px;
  margin-top:17px;
}

#updates-download-dialog  label.pack-checkbox.on  {
  background:url(images/Non-Highlight_Selected_Icon.png);
}

#updates-download-dialog label.pack-checkbox.focused  {
     background:url(images/Highlight_Non-Selected_Icon.png);
}
#updates-download-dialog label.pack-checkbox.focused.on  {
    background:url(images/Highlight_Selected_Icon.png);
}


/* System update splash screen */

#system-update-splash
{
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #2d2d2d;
}

#system-update-splash > div
{
  position: absolute;
}

#system-update-splash > #label
{
  top: calc(50% - 3rem);
  left: 3rem;
  font-size: 1.6rem;
  font-weight: 400;
  color: white;
}

#system-update-splash > #divider
{
  top: 50%;
  left: 1.5rem;
  width: calc(100% - 3rem);
  height: 0.05rem;
  background-color: #676767;
  box-shadow: 0 0 0.1rem rgba(0, 0, 0, 0.5);
}

#system-update-splash > #icon
{
  top: calc(50% + 1rem);
  width: 100%;
  height: 7.6rem;
  background-image: url(images/system_update.png);
  background-size: 7.6rem;
  background-position: center;
  background-repeat: no-repeat;
}

/* RTL View */

html[dir="rtl"] #update-manager-toaster > .icon {
  float: right;
}

html[dir="rtl"] #update-manager-toaster > .message {
  left: unset;
  right: 5rem;
}

html[dir="rtl"] #updates-download-dialog label {
  float: left;
}

html[dir="rtl"] #updates-download-dialog label.required {
  left: 0.5rem;
  right: unset;
  text-align: left;
}
